# Interface methods for submodule: GaussianSpatialObject
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import SpatialObjectProxy as _SpatialObjectProxy


# Interface methods for class: GaussianSpatialObject
class GaussianSpatialObjectProxy(_SpatialObjectProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def Clear(self) -> None:
		""""""
		...

	def SetRadiusInObjectSpace(self, _arg: float) -> None:
		""""""
		...

	def GetRadiusInObjectSpace(self) -> float:
		""""""
		...

	def SetSigmaInObjectSpace(self, _arg: float) -> None:
		""""""
		...

	def GetSigmaInObjectSpace(self) -> float:
		""""""
		...

	def SetCenterInObjectSpace(self, _arg: Sequence[float]) -> None:
		""""""
		...

	def GetCenterInObjectSpace(self) -> Sequence[float]:
		""""""
		...

	def SetMaximum(self, _arg: float) -> None:
		""""""
		...

	def GetMaximum(self) -> float:
		""""""
		...

	def SquaredZScoreInObjectSpace(self, point: Sequence[float]) -> float:
		""""""
		...

	def SquaredZScoreInWorldSpace(self, point: Sequence[float]) -> float:
		""""""
		...

	def IsInsideInObjectSpace(self, point: Sequence[float]) -> bool:
		""""""
		...

	def ValueAtInObjectSpace(self, point: Sequence[float], value: float, depth: int = 0, name: str = ...) -> bool:
		""""""
		...

	def GetEllipsoid(self):
		""""""
		...

